Package twisted :: Package manhole :: Module service

[show private | hide private]
[frames | no frames]

## Module twisted.manhole.service

`twisted.manhole` `PB<twisted.spread.pb>` service implementation.

Classes
`FakeStdIO` |
`Perspective` |
`Service` |

Function Summary
| ``runInConsole`(command, console, globalNS, localNS, filename, args, kw)` Run this, directing all output to the specified console.

Variable Summary
`MetaInterface` | `IManholeClient`

Function Details

### runInConsole(command, console, globalNS=None, localNS=None, filename=None, args=None, kw=None)

Run this, directing all output to the specified console.

If command is callable, it will be called with the args and keywords provided. Otherwise, command will be compiled and eval'd. (Wouldn't you like a macro?)

Returns the command's return value.

The console is called with a list of (type, message) pairs for display, see `IManholeClient.console`.

Variable Details

### IManholeClient

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.manhole.service.IManholeClient'>

Generated by Epydoc 1.1 on Thu May 8 13:16:33 2003 | http://epydoc.sf.net